Bug 809729 - [RFE] What happens when a Fedora installation disk is inserted in a *Windows* box ?
Summary: [RFE] What happens when a Fedora installation disk is inserted in a *Windows*...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-04 08:35 UTC by Răzvan Sandu
Modified: 2014-02-21 19:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-21 19:24:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Răzvan Sandu 2012-04-04 08:35:11 UTC
Hello,


Description of problem - short story:

In order to *maximize* GNU/Linux adoption for end-users, especially desktop ones:

Fedora (as well as any GNU/Linux distro partially geared towards desktop use) should offer a *standardised* , user-friendly, very simple and safe behaviour when the installation disk is inserted in a *Windows* box. It should be able to launch GNU/Linux's installation program directly from Windows.

Even if their mechanism it's not ideally designed, nowdays Ubuntu CDs offer such a behaviour and should be used as a starting point.


Description of problem - long story:

A lot of GNU/Linux newbies (especially Windows users, *desktop* oriented, non-technical *business* users ) are not able to follow the simple procedure indication "please boot from this CD" (neither by changing BIOS settings nor by pressing F9/F12 during boot).
  
That makes the Live CD paradigm inaccesible for them, let alone installing a GNU/Linux distro otherwise than via a completely *automatic* procedure.

However, many of these users are:

- potential GNU/Linux *desktop* end-users, if the chosen distro is friendly enough

- tempted to try a GNU/Linux distro for the first time (they heard and are already aware of the advantages for them and their business)

- today Windows users (have Windows on a desktop or laptop)

- (some of them) part of an educational institution (teachers, students, etc.),
where deploying a *large* number of *autonomous* desktops via a very user-friendly procedure is crucial

- users that get a GNU/Linux CD from a friend and want to "explore" its possibilities (so they insert this CD is their Windows machine).


Actual results:

When inserted in a box running Windows, the stock Fedora installation disk offers just the possibility to see its content (files), which is irrelevant for a non-technical user.


Expected results:

When inserted in a box running Windows, the stock Fedora installation disk should offer a very friendly menu, allowing the end-user to launch GNU/Linux installation from Windows via a very safe & automatic, "newbie-proof" procedure. :)


Additional info:

Failing to offer such a mechanism on the stock Fedora disk creates an injust Fedora (and other Red Hat family distros) marketing/adoption disadvantage compared to Ubuntu, Linux Mint, ZorinOS and other user-friendly distros geared towards desktop use.


Best regards,
Răzvan

Comment 1 Bill Nottingham 2012-04-10 19:43:40 UTC
Moving to where the work would have to start in some way.

Comment 2 David Shea 2014-02-21 19:24:03 UTC
Creating a new program to do what wubi does, along with whatever changes would need to be made to the distribution, is out of the scope of a bug report and is certainly not an anaconda bug. Starting such a discussion is better suited for the forums or mailing lists.


Note You need to log in before you can comment on or make changes to this bug.